Page MenuHomePhabricator

Clean GSoC 2015 and Outreach 10 Phabricator projects
Closed, ResolvedPublic

Description

Now that the participants of Google-Summer-of-Code (2015) and Outreachy-Round-10 have been announced, we should leave there only the tasks related to accepted projects and the organization of the programs.

Don't get lost in the vocabulary :)

  • Proposals not accepted of projects accepted could be merged to the proposal that has been accepted. The idea is that from all the candidates one has been selected, therefore now the rest are duplicates.
  • Proposals not accepted of projects not accepted could be merged to... the initial project idea? Maybe after asking the candidates whether they want to go ahead with the project (most probably not, but asking doesn't hurt). If a declined candidate wants to re-take the proposal in a future round, reopening the task will be easy.
  • Project ideas without any accepted project could be left in Possible-Tech-Projects only.

What do you think?

Event Timeline

Qgil created this task.Apr 28 2015, 10:08 AM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Sitic, Qgil, Aklapper, Niharika.
Qgil added a comment.Apr 28 2015, 10:29 AM

On a second thought... It is better to merge all proposals to the original project idea, where most people interested is subscribed.

Niharika claimed this task.Apr 28 2015, 5:49 PM
Niharika set Security to None.

@Qgil, but as all proposals were a subtask of the original project ideas, doesn't it make more sense to close them as "Declined"?
As far as I understand, merging tasks only merges the subscribers to the task. And creating a subtask also maintains the same subscribers as the parent task. Going by that, the subscribers for the proposals and the original task should be the same (unless someone removed themselves).

Qgil added a comment.Apr 30 2015, 6:11 AM

The difference is just a detail. Marking all proposals as duplicates of the project idea (owned now by the intern accepted) is a way to indicate that all the energy in the proposals (people and good ideas) are now concentrated in one task. Declining sounds more to 'we are not going to do this'. We will do it, but in a different implementation.

Also note that some of the proposals were not created as subtasks, and also that there is the possibility of people subscribing to the subtask after its creation, without subscribing to the main task.

All in all, I still think it is nicer and more practical to mark proposals as duplicates.

@Qgil, this is done now. How should I go about cleaning Possible-Tech-Projects ? Or should we just let it be until the next round approaches?

Qgil added a comment.May 1 2015, 6:33 PM

Looks good to me! Let it be, yes.

Niharika closed this task as Resolved.May 1 2015, 6:53 PM